//********************************************************************
//*** ResourcePool/mysql/ResourcePoolInstances.cc
//*** Copyright (c) 2003-2005 by Markus Winand <mws@fatalmind.com>
//*** $Id: ResourcePoolInstances.cc,v 1.7 2005/01/16 10:39:03 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */


#ifndef RESOURCEPOOL_RESOURCEPOOL_HH
#include "ResourcePool/ResourcePool.hh"
#endif

#include "ResourcePool/ResourcePool.cc"
#include "ResourcePool/Execute.cc"
#include "ResourcePool/Command.cc"

#ifndef RESOURCEPOOL_MYSQL_RESOURCEPOOL_HH
#include "ResourcePool/mysql/ResourcePool.hh"
#endif

#include <mysql/mysql.h>

namespace fatalmind {

template class ResourcePool<ResourceType::mysql>;
template class Command<ResourceType::mysql>;

} //namespace fatalmind
