#include "ResourcePool/mysql/ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"
std::string getStringTable() {
    return "create table hirsch (id numeric not null primary key, val  varchar(255))";
}

std::string getLobTable() {
    return "create table hirsch (id numeric not null primary key, val  LONGBLOB)";
}

#include "../SQL/Types.t.cc"

void INIT_mysql_Types()
{
	test_Types_init();
}

void TEST_mysql_Types_int()
{
	test_Types_int();
}

void TEST_mysql_Types_float()
{
	test_Types_float();
}
void TEST_mysql_Types_double()
{
	test_Types_double();
}
void TEST_mysql_Types_string()
{
	test_Types_string();
}
void TEST_mysql_Types_lob()
{
	test_Types_lob();
}
void TEST_PERF_mysql_Types_lob_4k()
{
	test_perf_Types_lob_4k();
}
void TEST_PERF_mysql_Types_lob_64k()
{
	test_perf_Types_lob_64k();
}
void TEST_PERF_mysql_Types_lob_1024k()
{
	test_perf_Types_lob_1024k();
}
